basePath: /api/v1
definitions:
  main.ErrorResponse:
    properties:
      error:
        type: string
    type: object
  main.RespBooks:
    properties:
      key:
        type: string
      name:
        type: string
      publishDate:
        type: string
      revision:
        type: integer
    type: object
  main.Versions:
    properties:
      buildTime:
        type: string
      commit:
        type: string
      version:
        type: string
    type: object
host: localhost:8080
info:
  contact:
    name: Viliam L
    url: https://twitter.com/
  description: A book management service API in Go using Gin framework.
  title: Golang Bookstore API
  version: 1.0.0
paths:
  /authors:
    get:
      description: Returns the authors of specified book.
      parameters:
      - description: ISBN Book
        in: query
        name: book
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            items:
              $ref: '#/definitions/main.RespBooks'
            type: array
        "400":
          description: Bad Request
          schema:
            $ref: '#/definitions/main.ErrorResponse'
        "500":
          description: Internal Server Error
          schema:
            $ref: '#/definitions/main.ErrorResponse'
      summary: Get authors of book
      tags:
      - book
  /version:
    get:
      description: Returns the version, commit hash and build time.
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            items:
              $ref: '#/definitions/main.Versions'
            type: array
      summary: Get app version
      tags:
      - version
swagger: "2.0"
